Download

Plugin SocketIO Building Error: V4_MAPPED


 

  1. F:\Unreal Projects\StackUp\Plugins\SocketIO\Source\ThirdParty\asio\asio\include\asio\ip\resolver_base.hpp:79:5: error: declaration shadows a variable in namespace 'asio::ip' -Werror,-Wshadow]
  1. v4_mapped = ASIO_OS_DEF(AI_V4MAPPED),
  1. F:\Unreal Projects\StackUp\Plugins\SocketIO\Source\ThirdParty\asio\asio\include\asio\ip\address_v6.hpp:295:20: note: previous declaration is here
  1. enum v4_mapped_t { v4_mapped };

 

I am using a plugin. Plugin name SocketIO… Link: GitHub - getnamo/socketio-client-ue4: socket.io client plugin for Unreal Engine 4 4.25 editor version. I can building success to Android. I see this error while receiving a package to ios. Please help me :’(